﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class Score : MonoBehaviour {

	Text score;
	Text help;
	Text youwin;
	Text time;
	bool counting;
	int thescore;
	float thetime;

	// Use this for initialization
	void Start () {
		counting = true;
		thescore = 10;

		score = transform.Find("Points").GetComponent<Text>();
		time = transform.Find("time").GetComponent<Text>();
		help = transform.Find("Help").GetComponent<Text>();
		youwin = transform.Find("youwin").GetComponent<Text>();

		score.text = "Score: "+thescore;
		youwin.enabled = false;
	}
	
	// Update is called once per frame
	void Update () {

		if (Input.GetKey(KeyCode.R)) {
			SceneManager.LoadScene(0);
		}
		if (Input.GetKey(KeyCode.Escape)) {
			Application.Quit();
		}

		if (counting)
		{
			thetime += Time.deltaTime;

			int hrs = Mathf.FloorToInt(thetime / (60*60));
			int mins = Mathf.FloorToInt(thetime / 60) % (60);
			int secs = Mathf.FloorToInt(thetime) % 60;

			string timestring = string.Format("{0}:{1:00}:{2:00}",hrs,mins,secs);

			time.text = "Time Taken: "+timestring;
		}
	}

	public void Bonk () {
		thescore--;
		score.text = "Score: "+thescore;
	}

	public void Win () {
		counting = false;
		help.enabled = false;
		youwin.enabled = true;
		score.text = "Final score: "+thescore;
	}
}
